OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.FramebufferMultisample

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTFramebufferMultisample :: MonadIO m => m Bool
- gl_EXT_framebuffer_multisample :: Bool
- pattern GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_EXT :: GLenum
- pattern GL_MAX_SAMPLES_EXT :: GLenum
- pattern GL_RENDERBUFFER_SAMPLES_EXT :: GLenum
- glRenderbufferStorageMultisampleEXT :: MonadIO m => GLenum -> GLsizei -> GLenum -> GLsizei -> GLsizei -> m ()

# Extension Support

glGetEXTFramebufferMultisample :: MonadIO m => m Bool Source #

Is the EXT_framebuffer_multisample extension supported?

gl_EXT_framebuffer_multisample :: Bool Source #

Is the EXT_framebuffer_multisample extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTFramebufferMultisample` in those cases instead.

# Enums

pattern GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_EXT :: GLenum Source #

pattern GL_MAX_SAMPLES_EXT :: GLenum Source #

pattern GL_RENDERBUFFER_SAMPLES_EXT :: GLenum Source #

# Functions

glRenderbufferStorageMultisampleEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type RenderbufferTarget.
-> GLsizei | `samples`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

This command is an alias for `glRenderbufferStorageMultisample`.